<div class="ch-container">
  <div class="container">
    <ch-spinner [isRunning]="isRequesting" delay="0"></ch-spinner>
    <div id="background"></div>

    <div class="row">
      <div class="col-sm-12 menu-action">
        <button class="btn btn-outline-success btn-sm"
                (click)="openMenu($event)"
        >
          <i class="fa fa-folder-o" aria-hidden="true"></i> {{'CATEGORIES.ADD_BTN' | translate}}
        </button>
      </div>
      <!-- Menu -->
      <div class="col-lg-2 ch-left-side"
          [ngClass]="{'show-menu': showMenu === true}">
        <ch-nav-menu [items]="categories"></ch-nav-menu>
      </div><!-- end Menu -->
      <!-- Content -->
      <div class="col-lg-7 ch-content">
        <ch-message-alert [message]="message"></ch-message-alert>
        <router-outlet></router-outlet>
      </div><!-- end Content -->
      <!-- Recent and last containers -->
      <div class="col-lg-3 ch-right-side">
        <ch-post-short title="RECENT.TITLE"
                      [items]="recentEntries"
        ></ch-post-short>
        <ch-comment-short title="LAST.TITLE"
                          [items]="recentComments"
        ></ch-comment-short>
      </div><!-- end Recent and last containers -->
    </div>
  </div>
</div>
